local t = Def.ActorFrame{
	LoadActor(THEME:GetPathB("ScreenAlternate","background"));
};

-- load background and character from best grade
local bestGrade = STATSMAN:GetBestGrade();
bestGrade = Grade[bestGrade];
if bestGrade == 'Grade_Failed' then return t; end;

-- handle fail
if bestGrade == 'Grade_Tier20' then
	bestGrade = 'Grade_Tier07'
end;

-- handle AAAA (thanks FSX)
-- src: http://www.stepmania.com/forums/showpost.php?p=168320&postcount=2
local stageStats = STATSMAN:GetCurStageStats();
if stageStats:GetPlayerStageStats( 'PlayerNumber_P1' ):GetGrade() == 'Grade_Tier01' or stageStats:GetPlayerStageStats( 'PlayerNumber_P2' ):GetGrade() == 'Grade_Tier01' then
    bestGrade = 'Grade_Tier01';
end

t[#t+1] = LoadActor("_bg "..bestGrade)..{
	InitCommand=cmd(FullScreen);
};

t[#t+1] = LoadActor("_char "..bestGrade)..{
	InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+135);
};

return t;